// ppt 公共配置项

//ppt封面背景图
export const bgList={
    zh:[
        {image_url:'/pptImg/pptcover_bg1.jpg'},
        {image_url:'/pptImg/pptcover_bg2.jpg'},
        {image_url:'/pptImg/pptcover_bg3.jpg'},
    ],
    en:[
        {image_url:'/pptImg/pptcover_bg1_en.png'},
        {image_url:'/pptImg/pptcover_bg2_en.png'},
        {image_url:'/pptImg/pptcover_bg3_en.png'},
    ]
}
    

//ppt宽高比
export const pptLayout = { name: "myppt", width: 10, height: 7 }
//ppt母版
export const pptSlideMaster = {
	title: "幻灯片母版",
	objects: [
		{
			placeholder: {
				options: {
					name: "slideTitle",
					type: "title",
					x: "10%",
					y: "5%",
					w: "68%",
					h: 7 + "%",
					color: "333333",
                    align:'left',
                    valign:'middle',
					fontSize:24*0.75,
				},
			},
		},
		{
			image: {
				x: 0,
				y: 0,
				w: 10,
				h: 7,
				path: "/pptImg/pptitem_bg.png", //会发送http请求,static or 线上地址
			},
		},
	],
    slideNumber:{x:"95%",y:"94%",fontSize:12}
}
//ppt母版英文
export const pptSlideMasterEn = {
    title: "幻灯片母版",
	objects: [
		{
			placeholder: {
				options: {
					name: "slideTitle",
					type: "title",
					x: "8%",
					y: "5%",
					w: "62%",
					h: 7 + "%",
					color: "333333",
                    align:'left',
                    valign:'middle',
					fontSize:24*0.75,
				},
			},
		},
		{
			image: {
                x: 0,
                y: -0.1,
                w: 10,
                h: 7.1,
                path: "/pptImg/pptitem_bg.jpg", 
            },
		},
	],
    slideNumber:{x:"95%",y:"94%",fontSize:12}
}

//给标题预留的位置,单位%
export const marginTop = 14
const titleHeight = 7
const restHeight = 100 - marginTop
//版式位置宽高设置,x,y,width,height都是基于整张ppt的百分比
//百分比的值来自./css/format.scss ->.chart-wrap,.editor-wrap
export const modelConfig = [
    {
        modelId: 1,
        elements: [
            {
                position: 1,
                width: 100*0.9, //单位%
                height: (restHeight)*0.9,
                x: (100-100*0.9)/2, //单位%,left
                /* y: ((restHeight)-(restHeight)*0.9)/2, //top */
                y:1.5
            }
        ]
    }, 
    {
        modelId: 2,
        elements: [{
            position: 1,
            width: 100*0.6*0.9, 
            height:(restHeight)*0.8 ,
            x: (100*0.6-100*0.6*0.9)/2,
            y: ((restHeight)-(restHeight)*0.8)/2
        }, {
            position: 2,
            width: 100*0.4*0.9, 
            height: (restHeight)*0.8,
            x: 60+(100*0.4-100*0.4*0.9)/2,// or 60
            y: ((restHeight)-(restHeight)*0.8)/2
        }]
    },
    {
        modelId: 3,
        elements: [{
            position: 1,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: (100*0.5-100*0.5*0.9)/2,
            y: ((restHeight)*0.5-(restHeight)*0.5*0.84)/2
        }, {
            position: 2,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: (100*0.5-100*0.5*0.9)/2,
            //这个位置的图表布局是align-items: flex-start，所以紧接着上一个图表
            y: 50-7/* +((restHeight)*0.5-(restHeight)*0.5*0.84)/2 */,//or 50
        }, {
            position: 3,
            width: 100*0.5*0.9,
            height: (restHeight)*0.84,
            x: 50,
            y: ((restHeight)-(restHeight)*0.84)/2
        }]
    },
    {
        modelId: 4,
        elements: [{
            position: 1,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: (100*0.5-100*0.5*0.9)/2,
            y: ((restHeight)*0.5-(restHeight)*0.5*0.84)/2
        }, {
            position: 2,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: (100*0.5-100*0.5*0.9)/2,
            y: 50-7/* +((restHeight)*0.5-(restHeight)*0.5*0.84)/2 */,//or 50
        }, {
            position: 3,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: 50+(100*0.5-100*0.5*0.9)/2,//or 50
            y: ((restHeight)*0.5-(restHeight)*0.5*0.84)/2
        }, {
            position: 4,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: 50+(100*0.5-100*0.5*0.9)/2,
            y: 50-7/* +((restHeight)*0.5-(restHeight)*0.5*0.84)/2 */,//or 50
        }]
    },
    {
        modelId: 5,
        elements: [{
            position: 1,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: (100*0.5-100*0.5*0.9)/2,
            y: ((restHeight)*0.5-(restHeight)*0.5*0.84)/2
        }, {
            position: 2,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: (100*0.5-100*0.5*0.9)/2,
            y: 50-7/* +((restHeight)*0.5-(restHeight)*0.5*0.84)/2 */,//or 50
        }, {
            position: 3,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: 50+(100*0.5-100*0.5*0.9)/2,//or 50
            y: ((restHeight)*0.5-(restHeight)*0.5*0.84)/2
        }, {
            position: 4,
            width: 100*0.5*0.9,
            height: (restHeight)*0.5*0.84,
            x: 50+(100*0.5-100*0.5*0.9)/2,
            y: 50-7/* +((restHeight)*0.5-(restHeight)*0.5*0.84)/2 */,//or 50
        }]
    },
    {
        modelId: 6,
        elements: [{
            position: 1,
            width: 100*0.9,
            height: (100-marginTop)*0.9,
            x: (100-100*0.9)/2, 
            y: ((100-marginTop)-(100-marginTop)*0.9)/2, 
        }]
    },
    {
        modelId:7,
        elements:[{
            position:1,
            width:100*0.5*0.9,
            height:(restHeight)*0.8,
            x:(100*0.5 - 100*0.5*0.9)/2,
            y:((restHeight)-(restHeight)*0.8)/2
        },{
            position:2,
            width:100*0.5*0.9,
            height:(restHeight)*0.8,
            x:50+(100*0.5 - 100*0.5*0.9)/2,
            y:((restHeight)-(restHeight)*0.8)/2
        }]
    },
    {
    modelId:8,
    elements:[{
        position:1,
        width:100*0.9,
        height:(restHeight)*0.7*0.9,
        x:(100-100*0.9)/2,
        y:(restHeight*0.7-restHeight*0.7*0.9)/2
    },
    {
        position:2,
        width:100*0.9,
        height:(restHeight)*0.3*0.8,
        x:(100-100*0.9)/2,
        y:60
    }]
    },
    {
    modelId:9,
    elements:[{
        position:1,
        width:100*0.5*0.9,
        height:(restHeight)*0.7*0.9,
        x:(100*0.5-100*0.5*0.9)/2,
        y:(restHeight*0.7-restHeight*0.7*0.9)/2
    },
    {
        position:2,
        width:100*0.5*0.9,
        height:(restHeight)*0.7*0.9,
        x:50+(100*0.5-100*0.5*0.9)/2,
        y:(restHeight*0.7-restHeight*0.7*0.9)/2
    },
    {
        position:3,
        width:100*0.9,
        height:(restHeight)*0.3*0.8,
        x:(100-100*0.9)/2,
        y:60
    }
    ]
    },
    {
        modelId:12,
        elements:[{
            position:1,
            width:33*0.9,
            height:(restHeight)*0.48*0.9,
            x:(33*0.1)/2,
            y:(restHeight*0.48*0.1)/2
        },{
            position:2,
            width:33*0.9,
            height:(restHeight)*0.48*0.9,
            x:(33*0.1)/2+33,
            y:(restHeight*0.48*0.1)/2
        },
        {
            position:3,
            width:33*0.9,
            height:(restHeight)*0.48*0.9,
            x:(33*0.1)/2+33*2,
            y:(restHeight*0.48*0.1)/2
        },
        {
            position:4,
            width:33*0.9,
            height:(restHeight)*0.48*0.9,
            x:(33*0.1)/2,
            y:(restHeight)*0.48
        },
        {
            position:5,
            width:33*0.9,
            height:(restHeight)*0.48*0.9,
            x:(33*0.1)/2+33,
            y:(restHeight)*0.48
        },
        {
            position:6,
            width:33*0.9,
            height:(restHeight)*0.48*0.9,
            x:(33*0.1)/2+33*2,
            y:(restHeight)*0.48
        }]
    },{
        modelId:11,
        elements:[{
            position:1,
            width:45*0.9,
            height:(restHeight)*0.40*0.9,
            x:(45*0.1)/2,
            y:(restHeight*0.4*0.1)/2
        },{
            position:2,
            width:45*0.9,
            height:(restHeight)*0.40*0.9,
            x:(45*0.1)/2+50,
            y:(restHeight*0.4*0.1)/2
        },{
            position:3,
            width:45*0.9,
            height:(restHeight)*0.40*0.9,
            x:(45*0.1)/2,
            y:38
        },{
            position:4,
            width:45*0.9,
            height:(restHeight)*0.40*0.9,
            x:(45*0.1)/2+50,
            y:38
        },{
            position:5,
            width:100*0.9,
            height:(restHeight)*0.18*0.8,
            x:(100-100*0.9)/2,
            y:74
        }]
    },{
        modelId:10,
        elements:[{
            position:1,
            width:33*0.9,
            height:(restHeight)*0.4*0.9,
            x:(33*0.1)/2,
            y:(restHeight*0.4*0.1)/2
        },{
            position:2,
            width:33*0.9,
            height:(restHeight)*0.4*0.9,
            x:(33*0.1)/2+33,
            y:(restHeight*0.4*0.1)/2
        },
        {
            position:3,
            width:33*0.9,
            height:(restHeight)*0.4*0.9,
            x:(33*0.1)/2+33*2,
            y:(restHeight*0.4*0.1)/2
        },
        {
            position:4,
            width:33*0.9,
            height:(restHeight)*0.4*0.9,
            x:(33*0.1)/2,
            y:38
        },
        {
            position:5,
            width:33*0.9,
            height:(restHeight)*0.4*0.9,
            x:(33*0.1)/2+33,
            y:38
        },
        {
            position:6,
            width:33*0.9,
            height:(restHeight)*0.4*0.9,
            x:(33*0.1)/2+33*2,
            y:38
        },
        {
            position:7,
            width:100*0.9,
            height:(restHeight)*0.18*0.8,
            x:(100-100*0.9)/2,
            y:74
        }]
    },{
        modelId:13,
        elements:[{
            position:1,
            width:100,
            height:(restHeight)*0.5*0.9,
            x:0,
            y:(restHeight*0.5-restHeight*0.5*0.9)/2
        },
        {
            position:2,
            width:100,
            height:(restHeight)*0.5*0.9,
            x:0,
            y:(restHeight)*0.5
        }]
    }

]